Bug 1438376 - [RFE] Hammer location list to optionally show parents of location
Summary: [RFE] Hammer location list to optionally show parents of location
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Organizations and Locations
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: Tomas Strachota
QA Contact: Ales Dujicek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-03 09:18 UTC by Barbora Vassova
Modified: 2020-05-14 15:52 UTC (History)
13 users (show)

Fixed In Version: hammer-cli-foreman-0.11.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:39:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 19157 0 None None None 2017-04-04 11:09:42 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Barbora Vassova 2017-04-03 09:18:58 UTC
Business requirements: 
Customer uses a lot of parents for their locations, but these are not showed when using hammer, resulting in a list that isn't usable.
Since you have to specify the location when you deploy a host it would be nice to see the full-name including parents.

Technical requirements: 
Have a location named A and create a location named B, for which A is a parent and location C for which B is a parent. 
"hammer location list" lists locations as "A", "B" and "C", customer would like to have an option lo list full names of location, in this case "A", "A/B" and "A/B/C", the same way as it is done in WebUI location list. 


Additional information: 
-

Comment 1 Tomas Strachota 2017-04-04 11:09:39 UTC
Created redmine issue http://projects.theforeman.org/issues/19157 from this bug

Comment 2 pm-sat@redhat.com 2017-04-04 12:07:13 UTC
Upstream bug assigned to tstrachota@redhat.com

Comment 3 pm-sat@redhat.com 2017-04-04 12:07:17 UTC
Upstream bug assigned to tstrachota@redhat.com

Comment 4 pm-sat@redhat.com 2017-05-19 14:07:28 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19157 has been resolved.

Comment 8 errata-xmlrpc 2018-02-21 12:39:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.